Subject: Re: bug#31324: 26.0.91; Wrong AXSubrole of childframe on macOS

From: Fu Yuan <[email-masked]>
Date: Sun, 13 May 2018 18:17:10 +0800

Hi Alan,

Where should I get the Emacs source files?
I was getting those from emacs mirror on GitHub master branch.
Last time I manually edited your fix and noticed that line numbers doesn’t match.
So I guess you are not using HEAD version to create those patches.

What version or commit or branch should I use?
Thanks.

Sincerely, Yuan.

On May 13, 2018, 6:14 PM +0800, Alan Third <[email-masked]>, wrote:
> Please keep the bug tracker Cc’d in.
>
> On Fri, May 11, 2018 at 09:31:14PM +0800, Fu Yuan wrote:
> > I first ran the lisp code and nothing changed. Then I patched source
> > file and compiled, then ran the lisp code on the compiled emacs.
> > Nothing different on that Emacs. The UIElementInspecter shows
> > AXStandardWindow. Of course both time I used “emacs" command with
> > “-Q" flag.
> >
> > Is there anything else I can do?
>
> OK, I looked into this a bit further and it seems this stuff is in the
> accessibility API. I’ve attached a couple of patches, please apply
> ‘fix redefinition of child frames on NS’, then ‘Set accessibility
> subroles for child frame’ and see if it does what you expect.
>
> This will only work on macOS >= 10.10. I think there must be another
> way of doing it on older versions but I haven’t found it yet. I’ll see
> if this works before digging any more.
> --
> Alan Third